## Horizontal cell mosaics for Eglen and Wong (2008)

w00h5.1 <- as.matrix( read.table('w00h51.txt'))
w00h5.2 <- as.matrix( read.table('w00h52.txt'))
w00h5.w <- scan('w00h5b.txt')
w00h5.w <- c(w00h5.w[1], w00h5.w[3], w00h5.w[2], w00h5.w[4])

w00h7.1 <- as.matrix( read.table('w00h71.txt'))
w00h7.2 <- as.matrix( read.table('w00h72.txt'))
w00h7.w <- scan('w00h7b.txt')
w00h7.w <- c(w00h7.w[1], w00h7.w[3], w00h7.w[2], w00h7.w[4])

w78h.1 <- as.matrix( read.table('w78h1.txt'))
w78h.2 <- as.matrix( read.table('w78h2.txt'))
w78h.w <- scan('w78hb.txt')
w78h.w <- c(w78h.w[1], w78h.w[3], w78h.w[2], w78h.w[4])


plot.biv <- function(t1, t2, w, soma.rad, main) {
  ## Plot one group of neurons.
  bg.h1 <- "white"; bg.h2 <- "black"
  symbols(x=t1[,1], y=t1[,2],
          circles=rep(soma.rad, nrow(t1)), bg=bg.h1,
          inch=F, asp=1, lwd=0.1,
          xlim=w[1:2], ylim=w[3:4],
          xaxt="n", yaxt="n", xlab="", ylab="")
  symbols(x=t2[,1], y=t2[,2],
          circles=rep(soma.rad, nrow(t2)),
          bg=bg.h2, lwd=0.1, inch=F, add=T)
  rect(w[1], w[3], w[2], w[4])
  if (!is.null(main))
    title(main)
}

pdf(file="hor_maps.pdf")
par(bty='n')
plot.biv(w00h5.1, w00h5.2, w00h5.w, soma.rad=5, main='w00h5 (field A)')
plot.biv(w00h7.1, w00h7.2, w00h7.w, soma.rad=5, main='w00h7 (field B)')
plot.biv(w78h.1, w78h.2, w78h.w, soma.rad=5, main='w78h  (field C)')
dev.off()
